<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven WebSphere 4.0 Plug-in Properties</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <section name="Maven WebSphere 4.0 Plug-in Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.was40.node</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>NodeName</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.wscpExe</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.bin}/wscp</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.appserver</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>Default Server</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.enterprise.app.name</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>EnterpriseAppName</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.stopNode</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.node} stop {/${maven.was40.cmd.node}:${maven.was40.node}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.cmd.serverGroup</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>ServerGroup</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.home</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>C:/WebSphere/AppServer</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.bin</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.home}/bin</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.cmd.node</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>Node</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.appserver.stop</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.appserver} stop {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.cmd.enterprise</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>EnterpriseApp</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.servergroup.install</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.enterprise} install {/${maven.was40.cmd.node}:${maven.was40.node}/} ${maven.was40.enterprise.app} -appname {${maven.was40.enterprise.app.name}} -defappserver {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.servergroup.start</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.serverGroup} start {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.appserver.start</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.appserver} start {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.serverGroup.name</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>ServerGroupName</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.startNode</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.bin}/startupServer</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.cmd.appserver</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>ApplicationServer</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.wscpArgs</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>-c</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.startApp</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.enterprise} start {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.stopApp</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.enterprise} stop {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/} -force</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.servergroup.stop</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.serverGroup} stop {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.deployApp</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.enterprise} install {/${maven.was40.cmd.node}:${maven.was40.node}/} ${maven.was40.enterprise.app} -appname {${maven.was40.enterprise.app.name}} -defappserver {/${maven.was40.cmd.node}:${maven.was40.node}/${maven.was40.cmd.appserver}:${maven.was40.appserver}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.listNode</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.node} list</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.enterprise.app</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>EnterpriseApp</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.servergroup.list</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.serverGroup} list</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.servergroup.show</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.serverGroup} show {/${maven.was40.cmd.serverGroup}:${maven.was40.serverGroup.name}/}</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.was40.removeApp</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.was40.cmd.enterprise} remove {/${maven.was40.cmd.enterprise}:${maven.was40.enterprise.app.name}/} -recursive</code>.</p>
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>